Bug 460435 (CVE-2008-4191) - CVE-2008-4191 emacspeak: Insecure auxiliary /tmp file usage (symlink attack possible)
Summary: CVE-2008-4191 emacspeak: Insecure auxiliary /tmp file usage (symlink attack p...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2008-4191
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20080824,reported=20080826,sou...
Depends On: 463819 463820 463821
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-28 09:57 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:27:45 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2008-08-28 09:57:09 UTC
The emacspeak package as shipped with Red Hat Enterprise Linux 3, 4 and 5
and as shipped within Fedora releases 8, 9 and 10 is prone to the symlink
attack.

Affected file: /usr/share/emacs/site-lisp/emacspeak/etc/extract-table.pl

Relevant part of the code:

 44 my $output = new FileHandle (">  /tmp/$task.csv");
 45 my ($ts,$row);
 46 foreach $ts ($te->table_states) {
 47           foreach $row ($ts->rows) {
 48              $output->print ( join(',', @$row), "\n");
 49           }
 50         }
 51 
 52 $output->close();


Explanation:

A malicious user could precreate a symlink pointing to the file /tmp/extract-table.csv, then run the 'emacspeak' command with such
a syntax, that would call the 'extract-table.pl' script. This could
allow him to destroy the target of the symlink.

References:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=496374 (part for emacspeak)

Comment 4 Vincent Danen 2015-02-17 15:27:45 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.